
Partial Class _Default
    Inherits System.Web.UI.Page

  Protected Sub butDiplayResults_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles butDiplayResults.Click
    Try
      Dim wbsMethodAPI As New MethodAPI.Service
      Dim sResult As String 'tells us Success or error
      Dim datResponse As Data.DataSet = Nothing

      'Get the Method Account values from web page
      Dim sCompanyAccount As String
      Dim sUserName As String
      Dim sPassword As String
      sCompanyAccount = Me.txtCompanyAccount.Text
      sUserName = Me.txtUserName.Text
      sPassword = Me.txtPassword.Text

      'Write my SQL statement to get any outstanding invoices
      Dim sSelectFields As String
      Dim sSelectFrom As String
      Dim sSelectWhere As String
      Dim sSelectGroupBy As String
      Dim sSelectHaving As String
      Dim sSelectOrderBy As String
      sSelectFields = Me.txtSelectFields.Text
      sSelectFrom = Me.txtSelectTable.Text
      sSelectWhere = Me.txtSelectWhere.Text
      sSelectGroupBy = Me.txtSelectGroupBy.Text
      sSelectHaving = Me.txtSelectHaving.Text
      sSelectOrderBy = Me.txtSelectOrderBy.Text

      'Call the MethodAPI to get the dataset
      sResult = wbsMethodAPI.MethodAPISelect_DataSetV2(sCompanyAccount, sUserName, sPassword, _
      "", datResponse, sSelectFrom, sSelectFields, sSelectWhere, sSelectGroupBy, sSelectHaving, sSelectOrderBy)
      wbsMethodAPI = Nothing


      Dim xmlDoc As New System.Xml.XmlDocument
      Dim objNodeList As System.Xml.XmlNodeList
      Dim objAttribute As System.Xml.XmlAttribute

      'START: Make sure the request was successful
      If InStr(1, sResult.ToUpper, "MethodAPI response = ""Success".ToUpper) = 0 Then
        'failed, give a message
        If Strings.Left(sResult, Len("<?xml")) = "<?xml" Then
          xmlDoc.LoadXml(sResult)
          objNodeList = xmlDoc.GetElementsByTagName("MethodAPI")
          For Each objAttribute In objNodeList.Item(0).Attributes
            If objAttribute.Name = "response" Then
              sResult = objAttribute.Value
            End If
          Next
        Else
          sResult = "Error"
        End If
        Me.divResponse.InnerHtml = sResult
        Exit Sub
      Else
        'all good
        sResult = "Success"
      End If
      'END: Make sure the request was successful


      'Handle the returned dataset - write a simple table to display on the screen
      Dim sDivHtml As String = ""
      If datResponse.Tables(0).Rows.Count > 0 Then
        'create table and header row
        sDivHtml = "<table><tr>"
        For iField As Integer = 0 To datResponse.Tables(0).Columns.Count - 1
          sDivHtml += "<td>" & datResponse.Tables(0).Columns(iField).Caption & "</td>"
        Next
        sDivHtml += "</tr>"

        'loop through each field and each record to display the result
        For i As Integer = 0 To datResponse.Tables(0).Rows.Count - 1
          sDivHtml += "<tr>"
          For iField As Integer = 0 To datResponse.Tables(0).Columns.Count - 1
            sDivHtml += "<td>" & datResponse.Tables(0).Rows(i).Item(iField).ToString & "</td>"
          Next
          sDivHtml += "</tr>"
        Next
        sDivHtml += "</table>"
      End If
      Me.divResponse.InnerHtml = sDivHtml
      datResponse = Nothing

    Catch ex As Exception
      Me.divResponse.InnerHtml = ex.Message
    End Try
  End Sub

  Protected Sub butClear_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles butClear.Click
    Try
      Me.divResponse.InnerHtml = ""
    Catch ex As Exception
      Me.divResponse.InnerHtml = ex.Message
    End Try
  End Sub
End Class
