
Partial Class _Delete
  Inherits System.Web.UI.Page

  Protected Sub butDiplayResults_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles butDiplayResults.Click
    Try
      Dim wbsMethodAPI As New MethodAPI.Service
      Dim sResult As String 'tells us Success or error
      Dim datResponse As Data.DataSet = Nothing

      'Get the Method Account values from web page
      Dim sCompanyAccount As String
      Dim sUserName As String
      Dim sPassword As String
      sCompanyAccount = Me.txtCompanyAccount.Text
      sUserName = Me.txtUserName.Text
      sPassword = Me.txtPassword.Text

      'Get the values from the screen
      Dim sDeleteTable As String
      Dim intRecordID As Integer
      sDeleteTable = Me.txtDeleteTable.Text
      intRecordID = Me.txtRecordID.Text

      'Call the MethodAPI to delete the record
      sResult = wbsMethodAPI.MethodAPIDeleteV2(sCompanyAccount, sUserName, sPassword, _
       "", sDeleteTable, intRecordID)
      wbsMethodAPI = Nothing

      Dim xmlDoc As New System.Xml.XmlDocument
      Dim objNodeList As System.Xml.XmlNodeList
      Dim objAttribute As System.Xml.XmlAttribute

      'START: Make sure the request was successful
      If InStr(1, sResult.ToUpper, "MethodAPI response = ""Success".ToUpper) = 0 Then
        'failed, give a message
        If Strings.Left(sResult, Len("<?xml")) = "<?xml" Then
          xmlDoc.LoadXml(sResult)
          objNodeList = xmlDoc.GetElementsByTagName("MethodAPI")
          For Each objAttribute In objNodeList.Item(0).Attributes
            If objAttribute.Name = "response" Then
              sResult = objAttribute.Value
            End If
          Next
        Else
          sResult = "Error"
        End If
      Else
        'all good
        sResult = "Success"
      End If
      'END: Make sure the request was successful


      'display result
      Me.divResponse.InnerHtml = sResult

      datResponse = Nothing

    Catch ex As Exception
      Me.divResponse.InnerHtml = ex.Message
    End Try
  End Sub

  Protected Sub butClear_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles butClear.Click
    Try
      Me.divResponse.InnerHtml = ""
    Catch ex As Exception
      Me.divResponse.InnerHtml = ex.Message
    End Try
  End Sub
End Class
